<?php
/*
Filename: 		footer.php
Date: 			07-05-01
Copyright: 		2007, CleanJS
Author: 		Adam Walentynowicz (adam@adamw.pl)
Description: 	Wordpress Template with clean look
Requires:
*/

$cleanOptions = get_option('cleanJS_theme');
load_theme_textdomain('cleanJS');

?>
<!-- Footer Start -->

			<div id="Advert-3" class="advert">
			<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Advert_3') ) { } ?>
			</div>
			<br class="clear" />
				
		</div></div>
		
		<?php if ($cleanOptions['show_bottom_widgets']) : ?>
		<div id="navBottom">
			<div class="bar"></div>
			
			<div  class="content">
				<div class="widgetTop">
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Bottom_3') ) { ?>
							<h2><?php _e("Meta", 'cleanJS'); ?></h2>
							<ul>
								<?php wp_register(); ?>
								<li><a href="http://validator.w3.org/check/referer" title="<?php _e("This page validates as XHTML 1.0 Transitional", 'cleanJS'); ?>">Valid <abbr title="<?php _e("eXtensible HyperText Markup Language", 'cleanJS'); ?>">XHTML</abbr></a></li>
								<li><a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo get_settings('home'); ?>" title="<?php _e("This page validates as CSS 2.1", 'cleanJS'); ?>">Valid <abbr title="<?php _e("Cascading Style Sheet", 'cleanJS'); ?>">CSS</abbr></a></li>
								<li><a href="http://gmpg.org/xfn/"><abbr title="<?php _e("XHTML Friends Network", 'cleanJS'); ?>">XFN</abbr></a></li>
							</ul>
					<?php } ?>
				</div>
				<div class="widgetTop">
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Bottom_2') ) { 
								$r = new WP_Query('showposts=6');
								if ($r->have_posts()) :
							?>
								<h2><?php _e("Recent Posts", 'cleanJS'); ?></h2>
								<ul id="recentposts">
								<?php  while ($r->have_posts()) : $r->the_post(); ?>
									<li><a href="<?php the_permalink() ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?> </a></li>
								<?php endwhile; ?>
								</ul>
							<?php
								endif;
					 } ?>
				</div>
				<div class="widgetTop">
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Bottom_1') ) { 
							$comments = $wpdb->get_results("SELECT comment_author, comment_author_url, comment_ID, comment_post_ID FROM $wpdb->comments WHERE comment_approved = '1' GROUP BY comment_post_ID ORDER BY comment_date_gmt DESC LIMIT 6"); ?>
								<h2><?php _e("Recently Commented", 'cleanJS'); ?></h2>
								<?php
								if ( $comments ) : 
									?> <ul id="recentcomments"> <?php
									foreach ($comments as $comment) :
										echo  '<li class="recentcomments">' . sprintf(__('%2$s'), get_comment_author_link(), '<a href="'. get_permalink($comment->comment_post_ID) .'#commentsLooper">' . get_the_title($comment->comment_post_ID) . '</a>') . '</li>';
									endforeach; 
									?> </ul> <?php
								endif;?>
					<?php } ?>
				</div>
				
			</div>
			<!--<br class="clear" />-->
			
		</div>
		<?php endif; ?>

		<div id="footer">
			<div class="bar1"></div>
			<div class="content">

				<div class="powered">
					
					
					<small>
					<a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a>
					<?php _e(' is powered by ', 'cleanJS'); ?>&raquo;
					<a href="http://wordpress.org/" title="WordPress <?php echo get_bloginfo('version') ?>">WordPress <?php echo get_bloginfo('version') ?></a>
					<?php _e(' and ', 'cleanJS'); ?>
					<a href="http://cleanjs.com/" title="CleanJS">CleanJS</a> by 
					<a href="http://adamw.pl/" title="adamw">adamw</a>
					<br class="clear" />
					<?php printf(__('%d queries. %.4f seconds.','cleanJS'), $wpdb->num_queries , timer_stop()) ?>
					</small>
				</div>
				<!--
				<a href="http://wordpress.org/" class="imgLogo" title="WordPress <?php echo get_bloginfo('version') ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/wp.gif" alt="WordPress" /></a>
				<a href="http://cleanjs.com/" class="imgLogo" title="CleanJS"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/cleanJS.gif" alt="cleanJS" /></a>
				-->

				
				<div class="bottomScrolling">
					<a href="http://validator.w3.org/check/referer" title="<?php _e("This page validates as XHTML 1.0 Transitional", 'cleanJS'); ?>"><span class="icon Ixhtml">&nbsp;<!--Valid <abbr title="<?php _e("eXtensible HyperText Markup Language", 'cleanJS'); ?>">XHTML</abbr>--></span></a>
					<a href="http://jigsaw.w3.org/css-validator/validator?uri=<?php echo get_settings('home'); ?>" title="<?php _e("This page validates as CSS 2.1", 'cleanJS'); ?>"><span class="icon Icss">&nbsp;<!--Valid <abbr title="<?php _e("Cascading Style Sheet", 'cleanJS'); ?>">CSS</abbr>--></span></a>
					<br class="clear" /><br class="clear" />
					<a href="javascript:void(0)" onclick="new Effect.ScrollTo('container', {duration: 3});" title="<?php _e('Go to the top', 'cleanJS'); ?>"><span class="iconText Itop"><?php _e('Top', 'cleanJS'); ?></span></a>
					<a href="javascript:void(0)" onclick="new Effect.ScrollTo('contentWrapper', {duration: 2});" title="<?php _e('Go to content', 'cleanJS'); ?>"><span class="iconText Itop"><?php _e('Content', 'cleanJS'); ?></span></a>
					<a href="javascript:void(0)" onclick="location.reload(true);" title="<?php _e('Refresh the page', 'cleanJS'); ?>"><span class="iconText Irefresh"><?php _e('Refresh', 'cleanJS'); ?></span></a>
				</div>
				
				
				
			</div>
		</div>
		<!--
		<div id="absoluteBottomNavi">
			<div class="content">
				
			</div>
		</div>
		-->
	</div>
</div>

<script type="text/javascript">
//<![CDATA[
/* Replacement calls. Please see documentation for more information. */
		

<?php if ($cleanOptions['font_replace']) : ?>
if(typeof sIFR == "function"){

// This is the preferred "named argument" syntax
	sIFR.replaceElement(named({sSelector:"#sidebar h2, #navBottom h2", sFlashSrc: "<?php bloginfo('stylesheet_directory'); ?>/js/sIFR/Astron.swf", sColor:"#9A9282", sLinkColor:"#2376b0", sBgColor:"#262c32", sHoverColor:"#B72497", sWmode:'transparent', nPaddingTop:0, nPaddingBottom:0, sFlashVars:"textalign=center&offsetBottom=0"}));
	sIFR.replaceElement(named({sSelector:".post h2, h3.title", sFlashSrc: "<?php bloginfo('stylesheet_directory'); ?>/js/sIFR/Cleev.swf", sColor:"#9A9282", sLinkColor:"#2376b0", sBgColor:"#262c32", sHoverColor:"#B72497", sWmode:'transparent', nPaddingTop:0, nPaddingBottom:0, sFlashVars:"offsetBottom=0"}));
	sIFR.replaceElement(named({sSelector:".day, .month, .year, .commentsNr, .commentsTitle", sFlashSrc: "<?php bloginfo('stylesheet_directory'); ?>/js/sIFR/Cleev.swf", sColor:"#9A9282", sLinkColor:"#2376b0", sBgColor:"#262c32", sHoverColor:"#B72497", sWmode:'transparent', nPaddingTop:0, nPaddingBottom:0, sFlashVars:"textalign=center&offsetBottom=0"}));
	sIFR.replaceElement(named({sSelector:".post h3, .post h4, .post h5, .post h6", sFlashSrc: "<?php bloginfo('stylesheet_directory'); ?>/js/sIFR/Quatron.swf", sColor:"#9A9282", sLinkColor:"#2376b0", sBgColor:"#262c32", sHoverColor:"#B72497", sWmode:'transparent', nPaddingTop:0, nPaddingBottom:0, sFlashVars:"offsetBottom=0"}));
	sIFR.replaceElement(named({sSelector:".title h1", sFlashSrc: "<?php bloginfo('stylesheet_directory'); ?>/js/sIFR/AstronV.swf", sColor:"#9A9282", sLinkColor:"#2376b0", sBgColor:"#262c32", sHoverColor:"#BFF2FF", sWmode:'transparent', nPaddingTop:0, nPaddingBottom:0, sFlashVars:"offsetBottom=0"}));


};
<?php endif; ?>

$$('div#container img').each(function(e) {
	Event.observe(e, 'mouseover', function(){ Effect.Fade(e, {to: 1.0}); }, false);
	Event.observe(e, 'mouseout', function(){ Effect.Fade(e, {to: 0.5}); }, false);
	new Effect.Opacity(e, {to: 0.5});
});
/*$$('div.comment').each(function(e) {
	//Event.observe(e, 'mouseover', function(){ Effect.Appear(e, {to: 1.0}); }, false);
	//Event.observe(e, 'mouseout', function(){ Effect.Fade(e, {to: 0.5}); }, false);
	new Effect.Opacity(e, {to: 0.6});
});*/

//]]>
</script>
<script type='text/javascript' src='<?php bloginfo('stylesheet_directory'); ?>/js/cleanJS.js.php'></script>
<?php wp_footer(); ?>
</body>
</html>

<!-- Footer End -->